
$(document).ready(function(){
	var data = "logistik/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_ekspedisi_id").html('');
		$("#error_sopir").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "logistik/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_ekspedisi_id").html(hasil.error.ekspedisi_id);
					$("#error_sopir").html(hasil.error.sopir);
				} else {
					$('#modal-tambah').modal('hide');
					$("#ekspedisi_id").val('');
					$("#sopir").val('');
					$("#nopol").val('');
					$("#hp").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('logistik/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_ekspedisi_id").html('');
		$("#error_sopir").html('');
		$("#error_nopol").html('');
		$("#error_hp").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "logistik/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_ekspedisi_id").html(hasil.error.edit_ekspedisi_id);
					$("#error_edit_sopir").html(hasil.error.edit_sopir);
					$("#error_edit_nopol").html(hasil.error.edit_nopol);
					$("#error_edit_hp").html(hasil.error.edit_hp);
				} else {
					$('#modal-edit').modal('hide');
					$("#ekspedisi_id").val('');
					$("#sopir").val('');
					$("#nopol").val('');
					$("#hp").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	


});